/*
 Test servio turret connected to P14
 Direction of servo (clockwise, counter-clockwise
   depends on make and model of servo
*/

#include "simpletools.h"            // Include simpletools library
#include "servo.h"                  // Include servo library

int main() {                        // main function
  int turret = 14;                  // Standard servo connected to P14
  int dlay = 2000;                  // Wait delay: 2 seconds
  while(1) {
    servo_angle(turret, 900);       // Servo to center
    pause(dlay);                    // Wait for delay period
    servo_angle(turret, 0);         // Servo turn clockwise
    pause(dlay);                    // Wait 
    servo_angle(turret, 1800);      // Turn counter-clockwise
    pause(dlay);                    // Wait 
  }
}